using System;

internal sealed class Delegate776 : MulticastDelegate
{
	public extern int Invoke(DateTime dateTime_0, DateTime dateTime_1);

	public static int smethod_0(DateTime dateTime_0, DateTime dateTime_1, Delegate776 delegate776_1)
	{
		return delegate776_1(dateTime_0, dateTime_1);
	}

	public extern Delegate776(object object_0, IntPtr intptr_0);

	static Delegate776()
	{
		Class10.smethod_13(typeof(Delegate776).TypeHandle);
	}

	internal static Delegate776 delegate776_0;
}
